package com.hxhq.business.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hxhq.common.core.domain.MpBaseEntity;


/**
 * 试验-饲养间对象 t_study_room
 *
 * @author hxhq
 * @date 2025-12-29
 */
@TableName("t_study_room")
public class StudyRoom extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 所属试验 */
    private Long studyId;

    /** 饲养间号 */
    private String syjh;

    /** 试验区域 */
    private String syqy;

    /** 笼具 */
    private String lj;

    /** 动物种属 */
    private String dwzs;

    /** 开始使用时间 */
            @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date kssj;

    /** 开始使用原因 */
    private String kssyyl;

    /** 启用人id */
    private Long qyrId;

    /** 启用人名称 */
    private String qyrMc;

    /** 结束使用原因 */
    private String jssyyl;

    /** 结束人id */
    private Long jsrId;

    /** 结束人名称 */
    private String jsrMc;

    /** 结束时间 */
            @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date jssj;

    /** 状态：1：使用中；3：已结束 */
    private Integer zt;


    public void setStudyId(Long studyId)
    {
        this.studyId = studyId;
    }

    public Long getStudyId()
    {
        return studyId;
    }

    public void setSyjh(String syjh)
    {
        this.syjh = syjh;
    }

    public String getSyjh()
    {
        return syjh;
    }

    public void setSyqy(String syqy)
    {
        this.syqy = syqy;
    }

    public String getSyqy()
    {
        return syqy;
    }

    public void setLj(String lj)
    {
        this.lj = lj;
    }

    public String getLj()
    {
        return lj;
    }

    public void setDwzs(String dwzs)
    {
        this.dwzs = dwzs;
    }

    public String getDwzs()
    {
        return dwzs;
    }

    public void setKssj(Date kssj)
    {
        this.kssj = kssj;
    }

    public Date getKssj()
    {
        return kssj;
    }

    public void setKssyyl(String kssyyl)
    {
        this.kssyyl = kssyyl;
    }

    public String getKssyyl()
    {
        return kssyyl;
    }

    public void setQyrId(Long qyrId)
    {
        this.qyrId = qyrId;
    }

    public Long getQyrId()
    {
        return qyrId;
    }

    public void setQyrMc(String qyrMc)
    {
        this.qyrMc = qyrMc;
    }

    public String getQyrMc()
    {
        return qyrMc;
    }

    public void setJssyyl(String jssyyl)
    {
        this.jssyyl = jssyyl;
    }

    public String getJssyyl()
    {
        return jssyyl;
    }

    public void setJsrId(Long jsrId)
    {
        this.jsrId = jsrId;
    }

    public Long getJsrId()
    {
        return jsrId;
    }

    public void setJsrMc(String jsrMc)
    {
        this.jsrMc = jsrMc;
    }

    public String getJsrMc()
    {
        return jsrMc;
    }

    public void setJssj(Date jssj)
    {
        this.jssj = jssj;
    }

    public Date getJssj()
    {
        return jssj;
    }

    public void setZt(Integer zt)
    {
        this.zt = zt;
    }

    public Integer getZt()
    {
        return zt;
    }

}
